Eclipse error installing jboss tools

I’ve been trying to install jboss tools on Eclipse Mars but it fails everytime showin the following error :

Unable to read repository at http://download.jboss.org/jbosstools/mars/stable/updates/.
http://download.jboss.org/jbosstools/mars/stable/updates/ is not a valid repository location.

I checked all the posts evoking this problem and all the solutions bellow did not work for me :

  • Launching Eclipse from the command prompt and adding -vmargs -Djava.net.preferIPv4Stack=true
  • Checking the connection in the internal web browser (The connection works just fine )
  • Deleting the oomph subfolders
  • Deleting the cache folder of org.eclipse.equinox.p2.core